Index: res/res_agi.c
===================================================================
RCS file: /usr/cvsroot/asterisk/res/res_agi.c,v
retrieving revision 1.53
diff -u -r1.53 res_agi.c
--- res/res_agi.c	3 Nov 2005 21:25:57 -0000	1.53
+++ res/res_agi.c	3 Nov 2005 20:30:30 -0000
@@ -322,6 +322,10 @@
 
 static void setup_env(struct ast_channel *chan, char *request, int fd, int enhanced)
 {
+
+	struct ast_var_t *variable;
+	struct varshead *chan_varlist;
+
 	/* Print initial environment, with agi_request always being the first
 	   thing */
 	fdprintf(fd, "agi_request: %s\n", request);
@@ -348,6 +352,13 @@
 
 	/* User information */
 	fdprintf(fd, "agi_accountcode: %s\n", chan->accountcode ? chan->accountcode : "");
+
+	chan_varlist=&chan->varshead;
+	
+	AST_LIST_TRAVERSE (chan_varlist,variable,entries) {
+		fdprintf(fd, "agi_chan_%s: %s\n", variable->name, 
+							variable->value);
+	}
     
 	/* End with empty return */
 	fdprintf(fd, "\n");
